# pH7 Social Dating CMS

[![Scrutinizer Quality Score](https://scrutinizer-ci.com/g/pH7Software/pH7-Social-Dating-CMS/badges/quality-score.png?s=79700cb86e25e0f125926f2f52984dd3ebacd81d)](https://scrutinizer-ci.com/g/pH7Software/pH7-Social-Dating-CMS/)

## Overview

**pH7 Dating CMS** is a **Social/Dating CMS** written in **Object-Oriented** PHP (*OOP*) with a **MVC** architecture (Model-View-Controller).

It is designed with the **KISS** principle in mind, and the all source code can be read and understood in minutes. For a better flexibility, the software uses **PDO** (PHP Data Objects) abstraction which allows the choice of the database. The principle of development is **DRY** (Don't Repeat Yourself) aimed at reducing repetition of information of all kinds (not duplicate code).

It also wants to be fast, low-resource-intensive, extremely powerful and very secure.

In addition to being **free**, **open source** and **relatively stable**, the software comes with more than **29 native modules** and based on **pH7Framework** *(written specifically for this project)* which includes more than 51 packages.

To summarize, **pH7CMS** gives you **the perfect ingredients** to create the **best dating service** or **social networking** website on the World Wide Web!


## Some Features of pH7CMS

* Best Dating Features
* Advanced Search
* Blogs
* Notes
* Pages Management
* Friends, Visit, Messages, Instant messaging, Views, Like, Rating, Smileys, Geo Map, Avatar, Wallpaper, ...
* Custom Profile (Background profile)
* Comments
* Hot or Not
* Love Calculator
* Geolocation
* Photo Albums
* Videos
* Forums
* Content Moderation
* Watermark Branding
* Chat Rooms
* Chatroulette
* Games
* Webcam Shot
* Affiliate
* Newsletter
* Activity Streams
* Member approval system
* Advanced Admin Panel
* Full Membership System
* Payment Gateways Integration, PayPal, Stripe, 2CheckOut
* Statistics & Analytics System
* Notifications system
* Registration delay
* File Management
* Dynamic Field Forms Management
* Privacy Settings
* Banner/Advertisement Management
* Support for Multiple Languages, Internationalization and Localization (I18N)
* American & European for the Time and Date formats
* Cache system for the database, pH7Tpl (our template engine), static files (HTML, CSS, JS), string content, ...
* Maintenance Mode
* Database Backup
* Report
* SEO Friendly (Title, Content, Code, ...), Sitemap module, ...
* Multilingual URLs
* RSS Feed
* Full API for integration from an external app (iOS/Android, ...), website, program, ...
* Feedback
* Full Responsive Templates
* Multiple-Themes and many customization possible
* Message templates
* Multi Themes and many personalizable
* Includes top HTML5 features
* Facebook, Google, Twitter connect
* Invite Friends
* Social Bookmark
* Anti-spam system
* Beautiful Code: Very thoroughly commented about what's happening throughout the PHP code, beautiful indentation and very readable, even for non-programmers
* Everyone can easily contribute to this great innovative project with our [GitHub repository](http://github.com/pH7Software/pH7-Social-Dating-CMS)


## Help Us to Grow Up

**It's 100% Open Source & Free**

**It's an Awesome Project.**

**We want You to Make It the Best!**


If you want to work on an Innovative and Exciting Project with a Beautiful PHP code using the latest PHP features while collaborating with nice people, ... So You Have to **Join Us**!

Send an email at: *hello {AT} ph7cms {D0T} com* and Start a Wonderful Adventure!


Thank you so much in advance!


## Requirements

**Application Server** PHP 5.4.0 or higher.

**Database** MySQL/MariaDB 5.0.15 or higher.

**Operating System** Linux/Unix (Red Hat, CentOS, Debian, FreeBSD, Mandrake, Mac OS, etc.), Windows.

**Web Server** Apache with mod_php or with PHP in CGI, FastCGI mode (nginx, LiteSpeed and IIS should also work you should change some pieces of code and change the url rewriting to make it work).

**URL rewriting extension module** Apache, nginx, LiteSpeed, IIS (for Web.config, you have a [good tutorial here](http://www.phpgenious.com/2010/04/url-rewriting-with-php-and-iis-7/)).

**Video** [FFmpeg](http://ffmpeg.org)

**Minimum Web Space** 2.0 GB


## Hosting

Recommended Hosting for **pH7CMS**

<p><a href="http://ph7cms.com/web/arvandixe"><img src="http://ph7cms.com/web/arvandixeimg" width="250" height="250" alt="Arvixe: Recommended for pH7CMS" title="Arvixe: Recommended for pH7CMS"></a> &nbsp; <a href="http://ph7cms.com/web/hostupon"><img src="http://ph7cms.com/web/hostuponimg" width="250" height="250" alt="HostUpon: Recommended for pH7CMS" title="HostUpon: Recommended for pH7CMS"></a></p>
<p><a href="http://ph7cms.com/web/tmdhost"><img src="http://ph7cms.com/web/tmdhostimg" width="250" height="250" alt="TMD Hosting: Recommended for pH7CMS" title="TMD Hosting: Recommended for pH7CMS"></a> &nbsp; &nbsp; <a href="http://ph7cms.com/web/hostforweb"><img src="http://ph7cms.com/web/hostforwebimg" width="250" height="250" alt="HostForWeb: Recommended for pH7CMS" title="HostForWeb: Recommended for pH7CMS"></a></p>
<p><a href="http://ph7cms.com/web/faction"><img src="http://ph7cms.com/web/factionimg" width="250" height="250" alt="WebFaction: Recommended for pH7CMS" title="WebFaction: Recommended for pH7CMS"></a> &nbsp; <a href="http://ph7cms.com/web/rackhost"><img src="http://ph7cms.com/web/rackhostimg" width="250" height="250" alt="RackSpace: Recommended for pH7CMS" title="RackSpace: Recommended for pH7CMS"></a></p>


## Author

Pierre-Henry Soria


## Website

**[Social Dating Script](http://ph7cms.com)**


## Documentation

[pH7CMS Documentation](http://ph7cms.com/doc/)


## Contribute!

Everyone can contribute on the **[pH7CMS GitHub](http://github.com/pH7Software/pH7-Social-Dating-CMS)** repository.

Just clone the repository, make your changes and then make a push ;-)

*WARNING, your code/modification must be of excellent quality.*

--We manually validate all the improvements and changes.--


## Contact

You can send email for any suggestions or comments at: *hello {AT} ph7cms {D0T} com*


## Help & Modifications

If you want, we also offer a *Premium Commercial* support at *[HiZup Support Department](http://clients.hizup.com/support)*


## License

**pH7CMS** is under **Open Source** License.

License: [General Public License 3](http://www.gnu.org/licenses/gpl.html) or later; See the *PH7.LICENSE.txt* and *PH7.COPYRIGHT.txt* files for more details.
